package com.heyu.api.data.service.impl.vv;
/**
* <p>
* sku 的属性值表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-21
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvSkuPropertyValueDao;
import com.heyu.api.data.entity.vv.VvSkuPropertyValueEntity;
import com.heyu.api.data.service.vv.VvSkuPropertyValueService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvSkuPropertyValueServiceImpl extends ServiceImpl<VvSkuPropertyValueDao, VvSkuPropertyValueEntity> implements VvSkuPropertyValueService {


    @Autowired
	private VvSkuPropertyValueDao vvSkuPropertyValueDao;



	@Override
	public VvSkuPropertyValueEntity selectVvSkuPropertyValueById(Long id){
		return vvSkuPropertyValueDao.selectVvSkuPropertyValueById(id);
	}



	@Override
	public Long insertVvSkuPropertyValue(VvSkuPropertyValueEntity vvSkuPropertyValue){
		return vvSkuPropertyValueDao.insertVvSkuPropertyValue(vvSkuPropertyValue);
	}



	@Override
	public Long insertOrUpdateVvSkuPropertyValue(VvSkuPropertyValueEntity vvSkuPropertyValue){
		return vvSkuPropertyValueDao.insertOrUpdateVvSkuPropertyValue(vvSkuPropertyValue);
	}



	@Override
	public int updateVvSkuPropertyValueById(VvSkuPropertyValueEntity vvSkuPropertyValue){
		return vvSkuPropertyValueDao.updateVvSkuPropertyValueById(vvSkuPropertyValue);
	}



	@Override
	public int updateCoverVvSkuPropertyValueById(VvSkuPropertyValueEntity vvSkuPropertyValue){
		return vvSkuPropertyValueDao.updateCoverVvSkuPropertyValueById(vvSkuPropertyValue);
	}



	@Override
	public int deleteVvSkuPropertyValueById(Long id){
		return vvSkuPropertyValueDao.deleteVvSkuPropertyValueById(id);
	}



}
